pskc_get_key_policy_pinencoding(3)

NAME
pskc_get_key_policy_pinencoding - API function

SYNOPSIS
#include <pskc.h>

pskc_valueformat pskc_get_key_policy_pinencoding(pskc_key_t * key, int * present);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

int * present
    output variable indicating whether data was provided or not.

DESCRIPTION
Get the PSKC KeyPackage Key Policy PINPolicy PINEncoding value. This attribute indicates the encoding of the PIN and MUST be one of the pskc_valueformat values. If present is non-NULL, it will be 0 if the field is not present or 1 if it was present.

RETURNS
an pskc_valueformat value

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: http://www.gnu.org/software/libpskc/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2016 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.